package com.zjrs.zwnw.bsdb.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.bsdb.blo.DbgzBLO;
import com.zjrs.zwnw.bsdb.bpo.DbgzBPO;
import com.zjrs.zwnw.bsdb.dto.*;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

@Service
public class DbgzBPOImpl extends BPOImpl implements DbgzBPO {

    @Resource
    DbgzBLO dbgzBLO;

    @Override
    public PageResult queryDbglRuleSelectList(DbglPageQueryDTO dto) {
        return dbgzBLO.queryDbglRuleSelectList(dto);
    }

    @Override
    public PageResult queryDbglRuleList(DbglPageQueryDTO dto) {
        return dbgzBLO.queryDbglRuleList(dto);
    }

    @Override
    public DbglDTO dbglRuleSave(DbglRuleSaveDTO dto) {
        return dbgzBLO.dbglRuleSave(dto);
    }

    @Override
    public void dbglRuleDelete(DbglRuleDeleteDTO dto) {
        dbgzBLO.dbglRuleDelete(dto);
    }

    @Override
    public DbglDTO queryDbglRule(DbglRuleQueryDTO dto) {
        return dbgzBLO.queryDbglRule(dto);
    }

    @Override
    public PageResult queryDbglTrackList(DbglPageQueryDTO dto) {
        return dbgzBLO.queryDbglTrackList(dto);
    }

    @Override
    public PageResult queryDbglFeedbackList(DbglPageQueryDTO dto) {
        return dbgzBLO.queryDbglFeedbackList(dto);
    }

    @Override
    public PageResult queryDbglTaskList(DbglPageQueryDTO dto) {
        return dbgzBLO.queryDbglTaskList(dto);
    }
}
